My Oracle Support Banner

MaxRep: Protection Plan in Resync Required Due to Source LUN Using VMware VAAI (Doc ID 2168424.1)

Last updated on APRIL 25, 2018

Applies to:

Pillar Axiom Replication Engine (MaxRep) - Version 3.0 to 3.0 [Release 3.0]
Information in this document applies to any platform.

Symptoms

 A volume pair goes into Resync Required when at least one ESX host mapped to the LUN has VAAI enabled and the MaxRep software is on version 3.0.4 or lower.

On the MaxRep GUI, go to Monitor -> Volume Protection, the status of a volume pair(s) is in Resync Required.

Click on the Summary link (on the right of the screen), then on Primary Log: Details

Multiple MirrorFailedReason=MAX_RETRY events will be displayed:

Changes

FS1 Release 06.02.02 supports VAAI (VMware vSphere Storage APIs Array Integration)

The issue can happen when a VM is deployed, blocks are reclaimed, new data is created or locked on VMFS volumes (datastore), etc.
All these functions are part of VAAI features.

Note: FS1 must be upgraded to R6.2.12 or later due to a known issue with VMware VAAI (see the description for Bug 22868808 in the Release 6.2.7 README and Bug 24381286 in the R6.2.12 README).

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.